Subject: Re: Freeing struct lock_file?

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Apr 2015 15:01:46 -0700

David Turner <[email-masked]> writes:

> Why is it impossible to free struct lock_files?  I understand that they
> become part of a linked list, and that there's an atexit handler that
> goes over that list.  But couldn't we just remove them from the linked
> list and then free them? 

I suspect that the code is worried about getting a signal, while it
is manipulating the linked list, and then cause the atexit handler
to walk a list that is in a broken state.